--AH:ScriptId=3d34309d-fe0a-423b-9d2a-7ea3b962644c;2982

ALTER TABLE [Roles]
  ADD [Role_Description] VARCHAR(MAX) NULL,
      [FeedScopable_Indicator] YNINDICATOR NULL
GO

UPDATE [Roles]
   SET [FeedScopable_Indicator] = 'N'
GO

ALTER TABLE [Roles]
  ALTER COLUMN [FeedScopable_Indicator] YNINDICATOR NOT NULL
GO

UPDATE [Roles]
   SET [Role_Name] = 'Administer',
       [Role_Description] = 'Allows unrestricted access to all functionality within ProGet.',
       [FeedScopable_Indicator] = 'N'
 WHERE [Role_Name] = 'Administrator'

UPDATE [Roles]
   SET [Role_Name] = 'Publish Packages',
       [Role_Description] = 'Allows access to publish, upload, push, and pull packages from a feed.',
       [FeedScopable_Indicator] = 'Y'
 WHERE [Role_Name] = 'Developer'

UPDATE [Roles]
   SET [Role_Name] = 'View & Download Packages',
       [Role_Description] = 'Allows access to view and download packages from a feed.',
       [FeedScopable_Indicator] = 'Y'
 WHERE [Role_Name] = 'View Only'

UPDATE [Roles]
   SET [Role_Name] = 'Manage Feed (auto-renamed)'
 WHERE [Role_Name] = 'Manage Feed'

GO

INSERT INTO [Roles] ([Role_Name], [Role_Description], [FeedScopable_Indicator])
VALUES ('Manage Feed', 'Allows access to manage feed settings, delete packages, and overwrite packages.', 'Y')

DELETE [RoleTasks] WHERE [Task_Id] = 28 -- General_ViewHomePage
DELETE [Tasks] WHERE [Task_Id] = 28 -- General_ViewHomePage

GO

DELETE [RoleTasks] 
  FROM [RoleTasks] RT
 INNER JOIN [Roles] R 
         ON R.[Role_Id] = RT.[Role_Id]
 WHERE [Role_Name] = 'Administer'
    OR [Role_Name] = 'Publish Packages'
    OR [Role_Name] = 'View & Download Packages'
    OR [Role_Name] = 'Manage Feed'
GO

INSERT [RoleTasks] ([Role_Id], [Task_Id])

    SELECT R.[Role_Id], T.[Task_Id] 
      FROM [Tasks] T
     INNER JOIN [Roles] R 
             ON R.[Role_Name] = 'Administer'

    UNION ALL

    SELECT R.[Role_Id], T.[Task_Id] 
         FROM [Tasks] T
   INNER JOIN [Roles] R 
           ON R.[Role_Name] = 'Publish Packages'
          AND T.[Task_Id] IN (1,2,3,4,5,26)

    UNION ALL

    SELECT R.[Role_Id], T.[Task_Id] 
         FROM [Tasks] T
   INNER JOIN [Roles] R 
           ON R.[Role_Name] = 'View & Download Packages'
          AND T.[Task_Id] IN (1,2)

    UNION ALL

    SELECT R.[Role_Id], T.[Task_Id] 
         FROM [Tasks] T
   INNER JOIN [Roles] R 
           ON R.[Role_Name] = 'Manage Feed'
          AND T.[Task_Id] IN (1,2,3,4,5,6,7,9,26)
GO

UPDATE [Tasks]
   SET [Task_Name] = 'Admin_ManageConnectors',
       [Feed_Scopeable_Indicator] = 'Y'
 WHERE [Task_Id] = 6

UPDATE [Tasks]
   SET [Task_Name] = 'Admin_ManageFeed',
       [Feed_Scopeable_Indicator] = 'Y'
 WHERE [Task_Id] = 7
 
UPDATE [Tasks]
   SET [Task_Name] = 'Admin_ConfigureProGet',
       [Feed_Scopeable_Indicator] = 'N'
 WHERE [Task_Id] = 8

GO
  