IF OBJECT_ID('TR__DockerImages__ValidateUniqueDigest') IS NOT NULL DROP TRIGGER [TR__DockerImages__ValidateUniqueDigest]
GO

CREATE TRIGGER [TR__DockerImages__ValidateUniqueDigest]
       ON [DockerImages] FOR UPDATE, INSERT
AS 
BEGIN

	--Ensure that Image_Digest is unique across the containing feed
	IF EXISTS(SELECT *
	            FROM inserted i
				     INNER JOIN [DockerRepositories] DR_I
					         ON DR_I.[DockerRepository_Id] = i.[DockerRepository_Id]
				     INNER JOIN [DockerImages] DI
					         ON DI.[Image_Digest] = i.[Image_Digest]
					 INNER JOIN [DockerRepositories] DR
					         ON DR.[DockerRepository_Id] = DI.[DockerRepository_Id]
			   WHERE DR.[Feed_Id] = DR_I.[Feed_Id]
			     AND DI.[DockerImage_Id] <> i.[DockerImage_Id])
	BEGIN
		RAISERROR('Image_Digest must be unique across the containing feed.', 16, 1)
		ROLLBACK
	END
END
GO
