EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Executions_GetExecutions',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Executions_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all executions in the system.'
GO

IF OBJECT_ID('[Executions_GetExecutions]') IS NOT NULL DROP PROCEDURE [Executions_GetExecutions]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Executions_GetExecutions]
(
    @Execution_Count INT = NULL,
	@ScheduledTask_Id INT = NULL,
    @ExecutionRunState_Code CHAR(1) = NULL,
    @ExecutionStatus_Code CHAR(1) = NULL,
	@ExecutionMode_Code CHAR(1) = NULL,
	@Feed_Id INT = NULL
)
AS
BEGIN

SET NOCOUNT ON

    IF @Execution_Count IS NOT NULL
        SET ROWCOUNT @Execution_Count

    SELECT * 
      FROM [Executions_Extended]
     WHERE (@ScheduledTask_Id IS NULL OR [ScheduledTask_Id] = @ScheduledTask_Id)
	   AND (@Feed_Id IS NULL OR [Feed_Id] = @Feed_Id)
	   AND (@ExecutionRunState_Code IS NULL OR [ExecutionRunState_Code] = @ExecutionRunState_Code)
       AND (@ExecutionStatus_Code IS NULL OR [ExecutionStatus_Code] = @ExecutionStatus_Code)
	   AND (@ExecutionMode_Code IS NULL OR [ExecutionMode_Code] = @ExecutionMode_Code)
     ORDER BY [Execution_Id] DESC

END
GO

GRANT EXECUTE ON [Executions_GetExecutions] TO [ProGetUser_Role]
