EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExternalGroups_GetGroup',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'ExternalGroups',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the external group in the specified directory provider.'
GO

IF OBJECT_ID('[ExternalGroups_GetGroup]') IS NOT NULL DROP PROCEDURE [ExternalGroups_GetGroup]
GO

CREATE PROCEDURE [ExternalGroups_GetGroup]
(
	@UserDirectory_Id INT,
	@ExternalGroup_Name NVARCHAR(200)
)
AS
BEGIN
	
	SET NOCOUNT ON

	SELECT *
	  FROM [ExternalGroups]
	  WHERE @UserDirectory_Id IS NULL
	    AND [ExternalGroup_Name] = @ExternalGroup_Name

END
GO

GRANT EXECUTE ON [ExternalGroups_GetGroup] TO [ProGetUser_Role]
GO
