EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Vulnerabilities_GetVulnerabilitiesForDockerImage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'Vulnerabilities_Extended',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets the vulnerabilties for a container image.'
GO

IF OBJECT_ID('[Vulnerabilities_GetVulnerabilitiesForDockerImage]') IS NOT NULL DROP PROCEDURE [Vulnerabilities_GetVulnerabilitiesForDockerImage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Vulnerabilities_GetVulnerabilitiesForDockerImage]
(
	@Feed_Id INT,
	@DockerImage_Id int
)
AS
BEGIN

SET NOCOUNT ON

	SELECT DISTINCT V.*
	  FROM [Vulnerabilities_Extended] V 
	       LEFT JOIN [FeedVulnerabilitySources] FVS
		           ON V.[VulnerabilitySource_Id] = FVS.[VulnerabilitySource_Id]   
			INNER JOIN [DockerImageLayers_Extended] DIL
				ON DIL.[Blob_Digest] = v.[Blob_Digest]
	 WHERE DIL.[DockerImage_Id] = @DockerImage_Id and (FVS.[Feed_Id] = @Feed_Id OR V.[Feed_Id] = @Feed_Id)
	 ORDER BY V.Title_Text

END
GO

GRANT EXECUTE ON [Vulnerabilities_GetVulnerabilitiesForDockerImage] TO [ProGetUser_Role]
GO